/****************************************************************************
 * Projekt - Messtechnik 1
 * (c) 2017 softwareentwicklung-als-prozess.de
 * Dokumentation s. Blog
 * Funktionalitaet:
 * Ausgaben ueber den USB Bus auf dem PC zum Debuggen
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <arduino.h>
#include "debug.h"
#include "mqttclient.h"

// Funktionen ---------------------------------------------------------------
void DebugPrintDatumZeit(byte ta, byte mo, byte ja, byte st, byte mi, byte wt)
{
#ifdef DEBUG
  Serial.print("Datum: ");
  switch(wt)
  {
    case 1:
      Serial.print("Sonntag");
      break;
    case 2:
      Serial.print("Montag");
      break;
    case 3:
      Serial.print("Dienstag");
      break;
    case 4:
      Serial.print("Mittwoch");
      break;
    case 5:
      Serial.print("Donnerstag");
      break;
    case 6:
      Serial.print("Freitag");
      break;
    case 7:
      Serial.print("Samstag");
      break;
  }
  Serial.print(", der ");
  Serial.print(ta,DEC);
  Serial.print(".");
  Serial.print(mo,DEC);
  Serial.print(".20");
  Serial.print(ja,DEC);
  Serial.print(" Zeit: ");
  Serial.print(st,DEC);
  Serial.print(":");
  if (mi < 10)
  {
    Serial.print("0");
  }
  Serial.println(mi,DEC);
#endif  
}

void DebugPrint(char *str)
{
 #ifdef DEBUG
    Serial.println(str);
 #endif    
}

void DebugPrint2(char *str1, char * str2)
{
 #ifdef DEBUG
    Serial.print(str1);
    Serial.println(str2);
 #endif    
}

void DebugPrintValueUnit(char *str, byte val, char *unit)
{
#ifdef DEBUG
    Serial.print(str);
    Serial.print(val,DEC);
    Serial.println(unit);
#endif   
}

void DebugPrintLongValueUnit(char *str, unsigned long val, char *unit)
{
#ifdef DEBUG
    Serial.print(str);
    Serial.print(val,DEC);
    Serial.println(unit);
#endif   
}

void DebugPrintLongValue(char *str, unsigned long val)
{
#ifdef DEBUG
    Serial.print(str);
    Serial.println(val,DEC);
#endif   
}

void DebugPrintLongHexValue(char *str, unsigned long val)
{
#ifdef DEBUG
    Serial.print(str);
    Serial.println(val,HEX);
#endif   
}

void DebugPrintValue(char *str, byte val)
{
#ifdef DEBUG
    Serial.print(str);
    Serial.println(val,DEC);
#endif   
}

void DebugPrintInit(void)
{
#ifdef DEBUG
  Serial.begin(9600);
#endif
}

void DebugPrintIPAddress(void)
{
#ifdef DEBUG
    Serial.print("Die IP Adresse ist: ");
    for (byte thisbyte = 0; thisbyte < 4; thisbyte++)
    {
      Serial.print(MQTTGetIPAddress(thisbyte),DEC);
      if (thisbyte < 3)
      {
        Serial.print(".");
      }
    }
    Serial.println();
#endif      
}

