/****************************************************************************
 * Projekt - Messtechnik 1
 * (c) 2017 softwareentwicklung-als-prozess.de
 * Dokumentation s. Blog
 * Funktionalitaet:
 * Saemtliche globalen Variablen, die ueber Get() und Set() Routinen bedient werden
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <arduino.h>
#include "globals.h"

// Variablen ----------------------------------------------------------------
// Zeitangaben
static byte tag    = (byte)0;
static byte monat  = (byte)0;
static byte jahr   = (byte)0;
static byte stunde = (byte)0;
static byte minut  = (byte)0;
static byte wtag   = (byte)1; // Wochentag von 1=Sonntag bis 7=Samstag

// Fallback falls keine Aenderung gewuenscht
static byte fb_tag    = (byte)0;
static byte fb_monat  = (byte)0;
static byte fb_jahr   = (byte)0;
static byte fb_stunde = (byte)0;
static byte fb_minut  = (byte)0;

// messwerte DHT11 ---------- Messbereich
static byte temperatur = (byte)0; // 0 - 50 Grad Celsius
static byte feuchte    = (byte)0; // 20 - 80 Prozent relative Luftfeuchte

// Funktionen ---------------------------------------------------------------
byte Get_Temperatur(void)
{
  return(temperatur);
}

void Set_Temperatur(byte tr)
{
  temperatur = tr;
}

byte Get_Luftfeuchte(void)
{
  return(feuchte);
}

void Set_Luftfeuchte(byte fe)
{
  feuchte = fe;
}

void SaveTimeToFallback(void)
{
  fb_tag    = tag;
  fb_monat  = monat;
  fb_jahr   = jahr;
  fb_stunde = stunde;
  fb_minut  = minut;
}

void RestoreFallbackToTime(void)
{
  tag    = fb_tag;
  monat  = fb_monat;
  jahr   = fb_jahr;
  stunde = fb_stunde;
  minut  = fb_minut;
}

byte Get_Tag(void)
{
  return(tag);
}

void Set_Tag(byte tg)
{
  tag = tg;
}

byte Get_Monat(void)
{
  return(monat);
}

void Set_Monat(byte mt)
{
  monat = mt;
}

byte Get_Jahr(void)
{
  return(jahr);
}

void Set_Jahr(byte jr)
{
  jahr = jr;
}

byte Get_Stunde(void)
{
  return(stunde);
}

void Set_Stunde(byte se)
{
  stunde = se;
}

byte Get_Minute(void)
{
  return(minut);
}

void Set_Minute(byte me)
{
  minut = me;
}

byte Get_Wochentag(void)
{
  return(wtag);
}

void Set_Wochentag(byte wg)
{
  wtag = wg;
}

