/****************************************************************************
 * Projekt - Messtechnik 1
 * (c) 2017 softwareentwicklung-als-prozess.de
 * Dokumentation s. Blog
 * Funktionalitaet:
 * Ausgabe von Datum / Uhrzeit und der Messwerte fuer Luftfeuchte und 
 * Temperatur als Webserver in einem Webbrowser
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <arduino.h>
#include <Ethernet2.h>
#include "globals.h"
#include "webserver.h"

// Defines -----------------------------------------------------------------
#define HTTP_PORT  (byte)80

// Variablen ----------------------------------------------------------------
EthernetServer server(HTTP_PORT);

// Funktionen ---------------------------------------------------------------
void WEB_Init(void)
{
  server.begin();                             // HTTP Server starten
}

void WEB_Server(void)
{
  EthernetClient client = server.available();
  if (client)
  {
    boolean currentLineIsBlank = true;        // jede Anfrage endet mit einer leerzeile
    char tmpstr[4];
    char stamp[17];
    while(client.connected())
    {
      if (client.available())
      {
        char c = client.read();
        if (c == '\n' && currentLineIsBlank)  // Antwort senden
        {
          client.println("<!DOCTYPE HTML PUBLIC>");
          client.println("<HTML>");
          client.println("<HEAD>");
          client.println("<TITLE>IoT Projekt Messtechnik1</TITLE>");
          client.println(" </HEAD>");
          client.println("<P ALIGN=CENTER><FONT SIZE=6><U><B>Raum1 Messwerte</B></U></FONT></P>");
          sprintf(tmpstr,"%02i",Get_Temperatur());     // Messwert umwandeln in ASCII String
          client.print("<P ALIGN=CENTER><FONT SIZE=6><B>Temperatur: ");
          client.print(tmpstr);
          client.println("&deg;C</B></FONT></P>");
          sprintf(tmpstr,"%02i",Get_Luftfeuchte());   // Messwert umwandeln in ASCII String
          client.print("<P ALIGN=CENTER><FONT SIZE=6><B>Luftfeuchte: ");
          client.print(tmpstr);
          client.println("%</B></FONT></P>");
          sprintf(stamp, "%02i.%02i.20%02i %02i:%02i", Get_Tag(), Get_Monat(), Get_Jahr(), Get_Stunde(), Get_Minute());
          client.print("<P ALIGN=CENTER><FONT SIZE=6><B>Messzeit: ");
          client.print(stamp);
          client.println("</B></FONT></P>");
          client.println("</BODY>");
          client.println("</HTML>");
          break;
        }
        if (c == '\n')
        {
          currentLineIsBlank = true;
        }
        else if (c != '\r')
        {
          currentLineIsBlank = false;
        }
      }
    }
    delay(1);
    client.stop();
  }
}

